#!/bin/sh

# Testcase from <http://gcc.gnu.org/bugzilla/show_bug.cgi?id=36359#c12>

CC=gcc-4.6

echo $CC

gcc -Wall -Wundef -Wstrict-prototypes -Wno-trigraphs -fno-strict-aliasing \
	-fno-common -Werror-implicit-function-declaration -fno-stack-protector \
	-mregparm=3 -freg-struct-return -mpreferred-stack-boundary=2  -march=i686 \
	-ffreestanding -pipe -fno-asynchronous-unwind-tables -mno-sse -mno-mmx \
	-mno-sse2 -mno-3dnow -O2 -c -o pr36359_gcc46.o pr36359.c

nm pr36359_gcc46.o

CC=gcc-4.5

echo $CC

gcc -Wall -Wundef -Wstrict-prototypes -Wno-trigraphs -fno-strict-aliasing \
	-fno-common -Werror-implicit-function-declaration -fno-stack-protector \
	-mregparm=3 -freg-struct-return -mpreferred-stack-boundary=2  -march=i686 \
	-ffreestanding -pipe -fno-asynchronous-unwind-tables -mno-sse -mno-mmx \
	-mno-sse2 -mno-3dnow -O2 -c -o pr36359_gcc45.o pr36359.c

nm pr36359_gcc45.o

